<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2//EN">
<HTML>
<HEAD>
<Title> Tango Device Server User's Guide </Title>
   <META NAME="GENERATOR" CONTENT="Mozilla/3.01Gold (X11; I; HP-UX B.10.20 9000/735) [Netscape]">
   <LINK HREF="doxygen.css" REL="stylesheet" TYPE="text/css">
</HEAD>
<BODY TEXT="#000000" BGCOLOR="#FFFFFF" LINK="#0000FF" VLINK="#FF0000" ALINK="#FF0000">

<P><!-------TITLE------></P>
<table width="100%" height="20%"><tr>
<td align=Center>
<FONT COLOR="#0000FF"><FONT SIZE=+3>E</FONT></FONT><FONT SIZE=+1>UROPEAN</FONT>
<FONT COLOR="#0000FF"><FONT SIZE=+3>S</FONT></FONT><FONT SIZE=+1>YNCHROTRON</FONT>
<FONT COLOR="#0000FF"><FONT SIZE=+3>R</FONT></FONT><FONT SIZE=+1>ADIATION</FONT>
<FONT COLOR="#0000FF"><FONT SIZE=+3>F</FONT></FONT><FONT SIZE=+1>ACILITY</FONT></H1>
<H5>INSTALLATION EUROPEENNE DE RAYONNEMENT SYNCHROTRON<BR>
</td><td>
<A href="http://www.esrf.fr">
<IMG SRC="http://www.esrf.fr/gifs/logo/80.gif" 
		ALT="ESRF Logo" ALIGN=RIGHT border="0"></A>
</td></tr></table>

</Body>
</Html>
<!-- Generated by Doxygen 1.2.13.1 -->
<center>
<a class="qindex" href="main.html">Main Page</a> &nbsp; <a class="qindex" href="namespaces.html">Namespace List</a> &nbsp; <a class="qindex" href="classes.html">Alphabetical List</a> &nbsp; <a class="qindex" href="annotated.html">Compound List</a> &nbsp; <a class="qindex" href="files.html">File List</a> &nbsp; <a class="qindex" href="namespacemembers.html">Namespace Members</a> &nbsp; <a class="qindex" href="functions.html">Compound Members</a> &nbsp; <a class="qindex" href="globals.html">File Members</a> &nbsp; </center>
<hr><h1>Starter::Starter  Class Reference</h1>Class Description: This device server is able to control <b>Tango</b> components (database, device servers, clients...). 
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="Starter_8h-source.html">Starter.h</a>&gt;</code>
<p>
<a href="classStarter_1_1Starter-members.html">List of all members.</a><table border=0 cellpadding=0 cellspacing=0>
<tr><td colspan=2><br><h2>Public Methods</h2></td></tr>
<tr><td nowrap align=right valign=top>void&nbsp;</td><td valign=bottom><a class="el" href="classStarter_1_1Starter.html#a0">manage_PollingState_startup</a> ()</td></tr>
<tr><td>&nbsp;</td><td><font size=-1><em>Manage the <a class="el" href="classStarter_1_1PollingState.html">PollingState</a> object startup.</em> <a href="#a0">More...</a><em></em></font><br><br></td></tr>
<tr><td colspan="2"><div class="groupHeader">Constructors</div></td></tr>
<tr><td colspan="2"><div class="groupText">Miscellaneous constructors<br><br></div></td></tr>
<tr><td nowrap align=right valign=top>&nbsp;</td><td valign=bottom><a class="el" href="classStarter_1_1Starter.html#z2_0">Starter</a> (Tango::DeviceClass *, string &amp;)</td></tr>
<tr><td>&nbsp;</td><td><font size=-1><em>Constructs a newly allocated Command object.</em> <a href="#z2_0">More...</a><em></em></font><br><br></td></tr>
<tr><td nowrap align=right valign=top>&nbsp;</td><td valign=bottom><a class="el" href="classStarter_1_1Starter.html#z2_1">Starter</a> (Tango::DeviceClass *, const char *)</td></tr>
<tr><td>&nbsp;</td><td><font size=-1><em>Constructs a newly allocated Command object.</em> <a href="#z2_1">More...</a><em></em></font><br><br></td></tr>
<tr><td nowrap align=right valign=top>&nbsp;</td><td valign=bottom><a class="el" href="classStarter_1_1Starter.html#z2_2">Starter</a> (Tango::DeviceClass *, const char *, const char *)</td></tr>
<tr><td>&nbsp;</td><td><font size=-1><em>Constructs a newly allocated Command object.</em> <a href="#z2_2">More...</a><em></em></font><br><br></td></tr>
<tr><td colspan="2"><div class="groupHeader">Destructor</div></td></tr>
<tr><td colspan="2"><div class="groupText">Only one desctructor is defined for this class<br><br></div></td></tr>
<tr><td nowrap align=right valign=top>&nbsp;</td><td valign=bottom><a class="el" href="classStarter_1_1Starter.html#z3_0">~Starter</a> ()</td></tr>
<tr><td>&nbsp;</td><td><font size=-1><em>The object desctructor.</em> <a href="#z3_0">More...</a><em></em></font><br><br></td></tr>
<tr><td colspan="2"><div class="groupHeader">Miscellaneous methods</div></td></tr>
<tr><td nowrap align=right valign=top>virtual void&nbsp;</td><td valign=bottom><a class="el" href="classStarter_1_1Starter.html#z4_0">init_device</a> ()</td></tr>
<tr><td>&nbsp;</td><td><font size=-1><em>Initialize the device.</em> <a href="#z4_0">More...</a><em></em></font><br><br></td></tr>
<tr><td nowrap align=right valign=top>virtual void&nbsp;</td><td valign=bottom><a class="el" href="classStarter_1_1Starter.html#z4_1">always_executed_hook</a> ()</td></tr>
<tr><td>&nbsp;</td><td><font size=-1><em>Always executed method befor execution command method.</em> <a href="#z4_1">More...</a><em></em></font><br><br></td></tr>
<tr><td colspan="2"><div class="groupHeader">Starter methods prototypes</div></td></tr>
<tr><td nowrap align=right valign=top>virtual Tango::DevState&nbsp;</td><td valign=bottom><a class="el" href="classStarter_1_1Starter.html#z5_0">dev_state</a> ()</td></tr>
<tr><td>&nbsp;</td><td><font size=-1><em>method: Starter::dev_state.</em> <a href="#z5_0">More...</a><em></em></font><br><br></td></tr>
<tr><td nowrap align=right valign=top>void&nbsp;</td><td valign=bottom><a class="el" href="classStarter_1_1Starter.html#z5_1">dev_start_all</a> (Tango::DevShort)</td></tr>
<tr><td>&nbsp;</td><td><font size=-1><em>method: Starter::dev_start_all.</em> <a href="#z5_1">More...</a><em></em></font><br><br></td></tr>
<tr><td nowrap align=right valign=top>void&nbsp;</td><td valign=bottom><a class="el" href="classStarter_1_1Starter.html#z5_2">dev_stop_all</a> (Tango::DevShort)</td></tr>
<tr><td>&nbsp;</td><td><font size=-1><em>method: Starter::dev_stop_all.</em> <a href="#z5_2">More...</a><em></em></font><br><br></td></tr>
<tr><td nowrap align=right valign=top>Tango::DevVarStringArray *&nbsp;</td><td valign=bottom><a class="el" href="classStarter_1_1Starter.html#z5_3">dev_get_running_servers</a> (Tango::DevBoolean)</td></tr>
<tr><td>&nbsp;</td><td><font size=-1><em>method: Starter::dev_get_running_servers.</em> <a href="#z5_3">More...</a><em></em></font><br><br></td></tr>
<tr><td nowrap align=right valign=top>Tango::DevVarStringArray *&nbsp;</td><td valign=bottom><a class="el" href="classStarter_1_1Starter.html#z5_4">dev_get_stop_servers</a> (Tango::DevBoolean)</td></tr>
<tr><td>&nbsp;</td><td><font size=-1><em>method: Starter::dev_get_stop_servers.</em> <a href="#z5_4">More...</a><em></em></font><br><br></td></tr>
<tr><td nowrap align=right valign=top>void&nbsp;</td><td valign=bottom><a class="el" href="classStarter_1_1Starter.html#z5_5">dev_start</a> (Tango::DevString)</td></tr>
<tr><td>&nbsp;</td><td><font size=-1><em>method: Starter::dev_start.</em> <a href="#z5_5">More...</a><em></em></font><br><br></td></tr>
<tr><td nowrap align=right valign=top>void&nbsp;</td><td valign=bottom><a class="el" href="classStarter_1_1Starter.html#z5_6">dev_stop</a> (Tango::DevString)</td></tr>
<tr><td>&nbsp;</td><td><font size=-1><em>method: Starter::dev_stop.</em> <a href="#z5_6">More...</a><em></em></font><br><br></td></tr>
<tr><td nowrap align=right valign=top>Tango::ConstDevString&nbsp;</td><td valign=bottom><a class="el" href="classStarter_1_1Starter.html#z5_7">dev_read_log</a> (Tango::DevString)</td></tr>
<tr><td>&nbsp;</td><td><font size=-1><em>method: Starter::dev_read_log.</em> <a href="#z5_7">More...</a><em></em></font><br><br></td></tr>
<tr><td nowrap align=right valign=top>void&nbsp;</td><td valign=bottom><a class="el" href="classStarter_1_1Starter.html#z5_8">update_servers_info</a> ()</td></tr>
<tr><td>&nbsp;</td><td><font size=-1><em>method: Starter::update_servers_info.</em> <a href="#z5_8">More...</a><em></em></font><br><br></td></tr>
<tr><td nowrap align=right valign=top>void&nbsp;</td><td valign=bottom><a class="el" href="classStarter_1_1Starter.html#z5_9">start_polling_thread</a> ()</td></tr>
<tr><td>&nbsp;</td><td><font size=-1><em>method: Starter::start_polling_thread.</em> <a href="#z5_9">More...</a><em></em></font><br><br></td></tr>
<tr><td nowrap align=right valign=top>void&nbsp;</td><td valign=bottom><a class="el" href="classStarter_1_1Starter.html#z5_10">get_device_property</a> ()</td></tr>
<tr><td>&nbsp;</td><td><font size=-1><em>Read the device properties from database.</em> <a href="#z5_10">More...</a><em></em></font><br><br></td></tr>
<tr><td colspan=2><br><h2>Public Attributes</h2></td></tr>
<tr><td nowrap align=right valign=top><a class="el" href="classStarter_1_1StarterUtil.html">StarterUtil</a> *&nbsp;</td><td valign=bottom><a class="el" href="classStarter_1_1Starter.html#m0">util</a></td></tr>
<tr><td>&nbsp;</td><td><font size=-1><em><a class="el" href="classStarter_1_1StarterUtil.html">StarterUtil</a> instance to be used everywhere.</em> <a href="#m0">More...</a><em></em></font><br><br></td></tr>
<tr><td nowrap align=right valign=top><a class="el" href="classStarter_1_1SharedData.html">SharedData</a> *&nbsp;</td><td valign=bottom><a class="el" href="classStarter_1_1Starter.html#m1">shared</a></td></tr>
<tr><td>&nbsp;</td><td><font size=-1><em>State polling thread shared data.</em> <a href="#m1">More...</a><em></em></font><br><br></td></tr>
<tr><td nowrap align=right valign=top><a class="el" href="classStarter_1_1PollingState.html">PollingState</a> *&nbsp;</td><td valign=bottom><a class="el" href="classStarter_1_1Starter.html#m2">poller</a></td></tr>
<tr><td>&nbsp;</td><td><font size=-1><em>State polling thread.</em> <a href="#m2">More...</a><em></em></font><br><br></td></tr>
<tr><td nowrap align=right valign=top>omni_thread *&nbsp;</td><td valign=bottom><a class="el" href="classStarter_1_1Starter.html#m3">polling_id</a></td></tr>
<tr><td>&nbsp;</td><td><font size=-1><em>Polling thread ID.</em> <a href="#m3">More...</a><em></em></font><br><br></td></tr>
<tr><td nowrap align=right valign=top>vector&lt; <a class="el" href="structStarter_1_1ServerControled.html">ServerControled</a> &gt;&nbsp;</td><td valign=bottom><a class="el" href="classStarter_1_1Starter.html#m4">servers</a></td></tr>
<tr><td>&nbsp;</td><td><font size=-1><em>Structures defining servers to be controlled.</em> <a href="#m4">More...</a><em></em></font><br><br></td></tr>
<tr><td nowrap align=right valign=top>Tango::DevBoolean&nbsp;</td><td valign=bottom><a class="el" href="classStarter_1_1Starter.html#m5">throwable</a></td></tr>
<tr><td>&nbsp;</td><td><font size=-1><em>Exception must be or not thrown.</em> <a href="#m5">More...</a><em></em></font><br><br></td></tr>
<tr><td nowrap align=right valign=top>string&nbsp;</td><td valign=bottom><a class="el" href="classStarter_1_1Starter.html#m6">returned_str</a></td></tr>
<tr><td>&nbsp;</td><td><font size=-1><em>Static string to be returned.</em> <a href="#m6">More...</a><em></em></font><br><br></td></tr>
<tr><td nowrap align=right valign=top>Tango::DeviceProxy *&nbsp;</td><td valign=bottom><a class="el" href="classStarter_1_1Starter.html#m7">dbase</a></td></tr>
<tr><td>&nbsp;</td><td><font size=-1><em>Database device (as DeviceProxy) for not implemented API commands.</em> <a href="#m7">More...</a><em></em></font><br><br></td></tr>
<tr><td colspan="2"><div class="groupHeader">Device properties</div></td></tr>
<tr><td colspan="2"><div class="groupText">Device properties member data.<br><br></div></td></tr>
<tr><td nowrap align=right valign=top>vector&lt; string &gt;&nbsp;</td><td valign=bottom><a class="el" href="classStarter_1_1Starter.html#z1_0">startDsPath</a></td></tr>
<tr><td>&nbsp;</td><td><font size=-1><em>Path to find executable files to start device servers.</em> <a href="#z1_0">More...</a><em></em></font><br><br></td></tr>
<tr><td nowrap align=right valign=top>Tango::DevShort&nbsp;</td><td valign=bottom><a class="el" href="classStarter_1_1Starter.html#z1_1">waitForDriverStartup</a></td></tr>
<tr><td>&nbsp;</td><td><font size=-1><em>The <a class="el" href="classStarter_1_1Starter.html">Starter</a> will wait a bit before starting servers, to be sure than the drivers are started.This time is in seconds.</em> <a href="#z1_1">More...</a><em></em></font><br><br></td></tr>
<tr><td nowrap align=right valign=top>Tango::DevShort&nbsp;</td><td valign=bottom><a class="el" href="classStarter_1_1Starter.html#z1_2">disableNotifyDaemon</a></td></tr>
<tr><td colspan=2><br><h2>Protected Methods</h2></td></tr>
<tr><td colspan="2"><div class="groupHeader">private methods prototypes</div></td></tr>
<tr><td nowrap align=right valign=top>const bool&nbsp;</td><td valign=bottom><a class="el" href="classStarter_1_1Starter.html#z6_0">is_running</a> (<a class="el" href="structStarter_1_1ServerControled.html">ServerControled</a> *)</td></tr>
<tr><td>&nbsp;</td><td><font size=-1><em>Check if server running.</em> <a href="#z6_0">More...</a><em></em></font><br><br></td></tr>
<tr><td nowrap align=right valign=top>void&nbsp;</td><td valign=bottom><a class="el" href="classStarter_1_1Starter.html#z6_1">get_server_info</a> (<a class="el" href="structStarter_1_1ServerControled.html">ServerControled</a> *)</td></tr>
<tr><td>&nbsp;</td><td><font size=-1><em>Read DS info from database to know if it is controled and it's starting level.</em> <a href="#z6_1">More...</a><em></em></font><br><br></td></tr>
<tr><td nowrap align=right valign=top>void&nbsp;</td><td valign=bottom><a class="el" href="classStarter_1_1Starter.html#z6_2">build_server_ctrl_object</a> (void)</td></tr>
<tr><td>&nbsp;</td><td><font size=-1><em>Allocate and fill the servers controled object.</em> <a href="#z6_2">More...</a><em></em></font><br><br></td></tr>
<tr><td nowrap align=right valign=top>void&nbsp;</td><td valign=bottom><a class="el" href="classStarter_1_1Starter.html#z6_3">signal_handler</a> (long)</td></tr>
<tr><td>&nbsp;</td><td><font size=-1><em>signal handler for a server death.</em> <a href="#z6_3">More...</a><em></em></font><br><br></td></tr>
</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Class Description: This device server is able to control <b>Tango</b> components (database, device servers, clients...).
<p>
It is able to start or stop and to report the status of these components. 
<p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a name="z2_0" doxytag="Starter::Starter::Starter"></a><p>
<table width="100%" cellpadding="2" cellspacing="0" border="0">
  <tr>
    <td class="md">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top"> Starter::Starter::Starter </td>
          <td class="md" valign="top">(&nbsp;</td>
          <td class="md" nowrap valign="top">Tango::DeviceClass *&nbsp;</td>
          <td class="mdname" nowrap>&nbsp; <em>cl</em>, </td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td class="md" nowrap>string &amp;&nbsp;</td>
          <td class="mdname" nowrap>&nbsp; <em>s</em></td>
        </tr>
        <tr>
          <td></td>
          <td class="md">)&nbsp;</td>
          <td class="md" colspan="2"></td>
        </tr>

      </table>
    </td>
  </tr>
</table>
<table cellspacing=5 cellpadding=0 border=0>
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
Constructs a newly allocated Command object.
<p>
<dl compact><dt><b>
Parameters: </b><dd>
<table border=0 cellspacing=2 cellpadding=0>
<tr><td valign=top><em>cl</em>&nbsp;</td><td>
Class. </td></tr>
<tr><td valign=top><em>s</em>&nbsp;</td><td>
Device Name </td></tr>
</table>
</dl>    </td>
  </tr>
</table>
<a name="z2_1" doxytag="Starter::Starter::Starter"></a><p>
<table width="100%" cellpadding="2" cellspacing="0" border="0">
  <tr>
    <td class="md">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top"> Starter::Starter::Starter </td>
          <td class="md" valign="top">(&nbsp;</td>
          <td class="md" nowrap valign="top">Tango::DeviceClass *&nbsp;</td>
          <td class="mdname" nowrap>&nbsp; <em>cl</em>, </td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td class="md" nowrap>const char *&nbsp;</td>
          <td class="mdname" nowrap>&nbsp; <em>s</em></td>
        </tr>
        <tr>
          <td></td>
          <td class="md">)&nbsp;</td>
          <td class="md" colspan="2"></td>
        </tr>

      </table>
    </td>
  </tr>
</table>
<table cellspacing=5 cellpadding=0 border=0>
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
Constructs a newly allocated Command object.
<p>
<dl compact><dt><b>
Parameters: </b><dd>
<table border=0 cellspacing=2 cellpadding=0>
<tr><td valign=top><em>cl</em>&nbsp;</td><td>
Class. </td></tr>
<tr><td valign=top><em>s</em>&nbsp;</td><td>
Device Name </td></tr>
</table>
</dl>    </td>
  </tr>
</table>
<a name="z2_2" doxytag="Starter::Starter::Starter"></a><p>
<table width="100%" cellpadding="2" cellspacing="0" border="0">
  <tr>
    <td class="md">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top"> Starter::Starter::Starter </td>
          <td class="md" valign="top">(&nbsp;</td>
          <td class="md" nowrap valign="top">Tango::DeviceClass *&nbsp;</td>
          <td class="mdname" nowrap>&nbsp; <em>cl</em>, </td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td class="md" nowrap>const char *&nbsp;</td>
          <td class="mdname" nowrap>&nbsp; <em>s</em>, </td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td class="md" nowrap>const char *&nbsp;</td>
          <td class="mdname" nowrap>&nbsp; <em>d</em></td>
        </tr>
        <tr>
          <td></td>
          <td class="md">)&nbsp;</td>
          <td class="md" colspan="2"></td>
        </tr>

      </table>
    </td>
  </tr>
</table>
<table cellspacing=5 cellpadding=0 border=0>
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
Constructs a newly allocated Command object.
<p>
<dl compact><dt><b>
Parameters: </b><dd>
<table border=0 cellspacing=2 cellpadding=0>
<tr><td valign=top><em>cl</em>&nbsp;</td><td>
Class. </td></tr>
<tr><td valign=top><em>s</em>&nbsp;</td><td>
Device name </td></tr>
<tr><td valign=top><em>d</em>&nbsp;</td><td>
Device description. </td></tr>
</table>
</dl>    </td>
  </tr>
</table>
<a name="z3_0" doxytag="Starter::Starter::~Starter"></a><p>
<table width="100%" cellpadding="2" cellspacing="0" border="0">
  <tr>
    <td class="md">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top"> Starter::Starter::~Starter </td>
          <td class="md" valign="top">(&nbsp;</td>
          <td class="mdname1" valign="top" nowrap>&nbsp;          </td>
          <td class="md" valign="top">)&nbsp;</td>
          <td class="md" nowrap><code> [inline]</code></td>
        </tr>

      </table>
    </td>
  </tr>
</table>
<table cellspacing=5 cellpadding=0 border=0>
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
The object desctructor.
<p>
    </td>
  </tr>
</table>
<hr><h2>Member Function Documentation</h2>
<a name="z4_1" doxytag="Starter::Starter::always_executed_hook"></a><p>
<table width="100%" cellpadding="2" cellspacing="0" border="0">
  <tr>
    <td class="md">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top"> void Starter::Starter::always_executed_hook </td>
          <td class="md" valign="top">(&nbsp;</td>
          <td class="mdname1" valign="top" nowrap>&nbsp;          </td>
          <td class="md" valign="top">)&nbsp;</td>
          <td class="md" nowrap><code> [virtual]</code></td>
        </tr>

      </table>
    </td>
  </tr>
</table>
<table cellspacing=5 cellpadding=0 border=0>
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
Always executed method befor execution command method.
<p>
    </td>
  </tr>
</table>
<a name="z6_2" doxytag="Starter::Starter::build_server_ctrl_object"></a><p>
<table width="100%" cellpadding="2" cellspacing="0" border="0">
  <tr>
    <td class="md">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top"> void Starter::Starter::build_server_ctrl_object </td>
          <td class="md" valign="top">(&nbsp;</td>
          <td class="md" nowrap valign="top">void&nbsp;</td>
          <td class="mdname1" valign="top" nowrap>&nbsp;          </td>
          <td class="md" valign="top">)&nbsp;</td>
          <td class="md" nowrap><code> [protected]</code></td>
        </tr>

      </table>
    </td>
  </tr>
</table>
<table cellspacing=5 cellpadding=0 border=0>
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
Allocate and fill the servers controled object.
<p>
    </td>
  </tr>
</table>
<a name="z5_3" doxytag="Starter::Starter::dev_get_running_servers"></a><p>
<table width="100%" cellpadding="2" cellspacing="0" border="0">
  <tr>
    <td class="md">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top"> Tango::DevVarStringArray * Starter::Starter::dev_get_running_servers </td>
          <td class="md" valign="top">(&nbsp;</td>
          <td class="md" nowrap valign="top">Tango::DevBoolean&nbsp;</td>
          <td class="mdname1" valign="top" nowrap>&nbsp; <em>all_serv</em>          </td>
          <td class="md" valign="top">)&nbsp;</td>
          <td class="md" nowrap></td>
        </tr>

      </table>
    </td>
  </tr>
</table>
<table cellspacing=5 cellpadding=0 border=0>
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
method: Starter::dev_get_running_servers.
<p>
And return the list of the processes which are really running. <dl compact><dt><b>
Parameters: </b><dd>
<table border=0 cellspacing=2 cellpadding=0>
<tr><td valign=top><em>argin</em>&nbsp;</td><td>
True for all servers. False for controled servers only. </td></tr>
</table>
</dl><dl compact><dt><b>
Returns: </b><dd>
List of the processes which are running. </dl><dl compact><dt><b>
Exceptions: </b><dd>
<table border=0 cellspacing=2 cellpadding=0>
<tr><td valign=top><em>DevFailed</em>&nbsp;</td><td>
 </td></tr>
</table>
</dl>    </td>
  </tr>
</table>
<a name="z5_4" doxytag="Starter::Starter::dev_get_stop_servers"></a><p>
<table width="100%" cellpadding="2" cellspacing="0" border="0">
  <tr>
    <td class="md">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top"> Tango::DevVarStringArray * Starter::Starter::dev_get_stop_servers </td>
          <td class="md" valign="top">(&nbsp;</td>
          <td class="md" nowrap valign="top">Tango::DevBoolean&nbsp;</td>
          <td class="mdname1" valign="top" nowrap>&nbsp; <em>all_serv</em>          </td>
          <td class="md" valign="top">)&nbsp;</td>
          <td class="md" nowrap></td>
        </tr>

      </table>
    </td>
  </tr>
</table>
<table cellspacing=5 cellpadding=0 border=0>
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
method: Starter::dev_get_stop_servers.
<p>
And return the list of the processes which are not running. <dl compact><dt><b>
Parameters: </b><dd>
<table border=0 cellspacing=2 cellpadding=0>
<tr><td valign=top><em>argin</em>&nbsp;</td><td>
True for all servers. False for controled servers only. </td></tr>
</table>
</dl><dl compact><dt><b>
Returns: </b><dd>
List of the processes which are not running. </dl><dl compact><dt><b>
Exceptions: </b><dd>
<table border=0 cellspacing=2 cellpadding=0>
<tr><td valign=top><em>DevFailed</em>&nbsp;</td><td>
 </td></tr>
</table>
</dl>    </td>
  </tr>
</table>
<a name="z5_7" doxytag="Starter::Starter::dev_read_log"></a><p>
<table width="100%" cellpadding="2" cellspacing="0" border="0">
  <tr>
    <td class="md">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top"> Tango::ConstDevString Starter::Starter::dev_read_log </td>
          <td class="md" valign="top">(&nbsp;</td>
          <td class="md" nowrap valign="top">Tango::DevString&nbsp;</td>
          <td class="mdname1" valign="top" nowrap>&nbsp; <em>argin</em>          </td>
          <td class="md" valign="top">)&nbsp;</td>
          <td class="md" nowrap></td>
        </tr>

      </table>
    </td>
  </tr>
</table>
<table cellspacing=5 cellpadding=0 border=0>
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
method: Starter::dev_read_log.
<p>
This command will read this file and return the read string from the file. <dl compact><dt><b>
Parameters: </b><dd>
<table border=0 cellspacing=2 cellpadding=0>
<tr><td valign=top><em>argin</em>&nbsp;</td><td>
server name and domain </td></tr>
</table>
</dl><dl compact><dt><b>
Returns: </b><dd>
ig <a class="el" href="classStarter_1_1Starter.html">Starter</a>/corvus) </dl><dl compact><dt><b>
Exceptions: </b><dd>
<table border=0 cellspacing=2 cellpadding=0>
<tr><td valign=top><em>DevFailed</em>&nbsp;</td><td>
 </td></tr>
</table>
</dl>    </td>
  </tr>
</table>
<a name="z5_5" doxytag="Starter::Starter::dev_start"></a><p>
<table width="100%" cellpadding="2" cellspacing="0" border="0">
  <tr>
    <td class="md">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top"> void Starter::Starter::dev_start </td>
          <td class="md" valign="top">(&nbsp;</td>
          <td class="md" nowrap valign="top">Tango::DevString&nbsp;</td>
          <td class="mdname1" valign="top" nowrap>&nbsp; <em>argin</em>          </td>
          <td class="md" valign="top">)&nbsp;</td>
          <td class="md" nowrap></td>
        </tr>

      </table>
    </td>
  </tr>
</table>
<table cellspacing=5 cellpadding=0 border=0>
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
method: Starter::dev_start.
<p>
<dl compact><dt><b>
Parameters: </b><dd>
<table border=0 cellspacing=2 cellpadding=0>
<tr><td valign=top><em>argin</em>&nbsp;</td><td>
Syntax to start the Tango component </td></tr>
</table>
</dl><dl compact><dt><b>
Exceptions: </b><dd>
<table border=0 cellspacing=2 cellpadding=0>
<tr><td valign=top><em>DevFailed</em>&nbsp;</td><td>
 </td></tr>
</table>
</dl>    </td>
  </tr>
</table>
<a name="z5_1" doxytag="Starter::Starter::dev_start_all"></a><p>
<table width="100%" cellpadding="2" cellspacing="0" border="0">
  <tr>
    <td class="md">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top"> void Starter::Starter::dev_start_all </td>
          <td class="md" valign="top">(&nbsp;</td>
          <td class="md" nowrap valign="top">Tango::DevShort&nbsp;</td>
          <td class="mdname1" valign="top" nowrap>&nbsp; <em>level</em>          </td>
          <td class="md" valign="top">)&nbsp;</td>
          <td class="md" nowrap></td>
        </tr>

      </table>
    </td>
  </tr>
</table>
<table cellspacing=5 cellpadding=0 border=0>
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
method: Starter::dev_start_all.
<p>
<dl compact><dt><b>
Parameters: </b><dd>
<table border=0 cellspacing=2 cellpadding=0>
<tr><td valign=top><em>argin</em>&nbsp;</td><td>
Startup level. </td></tr>
</table>
</dl><dl compact><dt><b>
Exceptions: </b><dd>
<table border=0 cellspacing=2 cellpadding=0>
<tr><td valign=top><em>DevFailed</em>&nbsp;</td><td>
 </td></tr>
</table>
</dl>    </td>
  </tr>
</table>
<a name="z5_0" doxytag="Starter::Starter::dev_state"></a><p>
<table width="100%" cellpadding="2" cellspacing="0" border="0">
  <tr>
    <td class="md">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top"> Tango::DevState Starter::Starter::dev_state </td>
          <td class="md" valign="top">(&nbsp;</td>
          <td class="mdname1" valign="top" nowrap>&nbsp;          </td>
          <td class="md" valign="top">)&nbsp;</td>
          <td class="md" nowrap><code> [virtual]</code></td>
        </tr>

      </table>
    </td>
  </tr>
</table>
<table cellspacing=5 cellpadding=0 border=0>
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
method: Starter::dev_state.
<p>
<dl compact><dt><b>
Returns: </b><dd>
State Code </dl><dl compact><dt><b>
Exceptions: </b><dd>
<table border=0 cellspacing=2 cellpadding=0>
<tr><td valign=top><em>DevFailed</em>&nbsp;</td><td>
 </td></tr>
</table>
</dl>    </td>
  </tr>
</table>
<a name="z5_6" doxytag="Starter::Starter::dev_stop"></a><p>
<table width="100%" cellpadding="2" cellspacing="0" border="0">
  <tr>
    <td class="md">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top"> void Starter::Starter::dev_stop </td>
          <td class="md" valign="top">(&nbsp;</td>
          <td class="md" nowrap valign="top">Tango::DevString&nbsp;</td>
          <td class="mdname1" valign="top" nowrap>&nbsp; <em>argin</em>          </td>
          <td class="md" valign="top">)&nbsp;</td>
          <td class="md" nowrap></td>
        </tr>

      </table>
    </td>
  </tr>
</table>
<table cellspacing=5 cellpadding=0 border=0>
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
method: Starter::dev_stop.
<p>
<dl compact><dt><b>
Parameters: </b><dd>
<table border=0 cellspacing=2 cellpadding=0>
<tr><td valign=top><em>argin</em>&nbsp;</td><td>
The Tango component to be stopped. </td></tr>
</table>
</dl><dl compact><dt><b>
Exceptions: </b><dd>
<table border=0 cellspacing=2 cellpadding=0>
<tr><td valign=top><em>DevFailed</em>&nbsp;</td><td>
 </td></tr>
</table>
</dl>    </td>
  </tr>
</table>
<a name="z5_2" doxytag="Starter::Starter::dev_stop_all"></a><p>
<table width="100%" cellpadding="2" cellspacing="0" border="0">
  <tr>
    <td class="md">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top"> void Starter::Starter::dev_stop_all </td>
          <td class="md" valign="top">(&nbsp;</td>
          <td class="md" nowrap valign="top">Tango::DevShort&nbsp;</td>
          <td class="mdname1" valign="top" nowrap>&nbsp; <em>level</em>          </td>
          <td class="md" valign="top">)&nbsp;</td>
          <td class="md" nowrap></td>
        </tr>

      </table>
    </td>
  </tr>
</table>
<table cellspacing=5 cellpadding=0 border=0>
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
method: Starter::dev_stop_all.
<p>
<dl compact><dt><b>
Parameters: </b><dd>
<table border=0 cellspacing=2 cellpadding=0>
<tr><td valign=top><em>argin</em>&nbsp;</td><td>
Startup Level. </td></tr>
</table>
</dl><dl compact><dt><b>
Exceptions: </b><dd>
<table border=0 cellspacing=2 cellpadding=0>
<tr><td valign=top><em>DevFailed</em>&nbsp;</td><td>
 </td></tr>
</table>
</dl>    </td>
  </tr>
</table>
<a name="z5_10" doxytag="Starter::Starter::get_device_property"></a><p>
<table width="100%" cellpadding="2" cellspacing="0" border="0">
  <tr>
    <td class="md">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top"> void Starter::Starter::get_device_property </td>
          <td class="md" valign="top">(&nbsp;</td>
          <td class="mdname1" valign="top" nowrap>&nbsp;          </td>
          <td class="md" valign="top">)&nbsp;</td>
          <td class="md" nowrap></td>
        </tr>

      </table>
    </td>
  </tr>
</table>
<table cellspacing=5 cellpadding=0 border=0>
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
Read the device properties from database.
<p>
    </td>
  </tr>
</table>
<a name="z6_1" doxytag="Starter::Starter::get_server_info"></a><p>
<table width="100%" cellpadding="2" cellspacing="0" border="0">
  <tr>
    <td class="md">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top"> void Starter::Starter::get_server_info </td>
          <td class="md" valign="top">(&nbsp;</td>
          <td class="md" nowrap valign="top"><a class="el" href="structStarter_1_1ServerControled.html">ServerControled</a> *&nbsp;</td>
          <td class="mdname1" valign="top" nowrap>&nbsp; <em>server</em>          </td>
          <td class="md" valign="top">)&nbsp;</td>
          <td class="md" nowrap><code> [protected]</code></td>
        </tr>

      </table>
    </td>
  </tr>
</table>
<table cellspacing=5 cellpadding=0 border=0>
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
Read DS info from database to know if it is controled and it's starting level.
<p>
<dl compact><dt><b>
Parameters: </b><dd>
<table border=0 cellspacing=2 cellpadding=0>
<tr><td valign=top><em>devname</em>&nbsp;</td><td>
device to get info. </td></tr>
<tr><td valign=top><em>server</em>&nbsp;</td><td>
object to be updated from db read. </td></tr>
</table>
</dl>    </td>
  </tr>
</table>
<a name="z4_0" doxytag="Starter::Starter::init_device"></a><p>
<table width="100%" cellpadding="2" cellspacing="0" border="0">
  <tr>
    <td class="md">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top"> void Starter::Starter::init_device </td>
          <td class="md" valign="top">(&nbsp;</td>
          <td class="mdname1" valign="top" nowrap>&nbsp;          </td>
          <td class="md" valign="top">)&nbsp;</td>
          <td class="md" nowrap><code> [virtual]</code></td>
        </tr>

      </table>
    </td>
  </tr>
</table>
<table cellspacing=5 cellpadding=0 border=0>
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
Initialize the device.
<p>
    </td>
  </tr>
</table>
<a name="z6_0" doxytag="Starter::Starter::is_running"></a><p>
<table width="100%" cellpadding="2" cellspacing="0" border="0">
  <tr>
    <td class="md">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top"> const bool Starter::Starter::is_running </td>
          <td class="md" valign="top">(&nbsp;</td>
          <td class="md" nowrap valign="top"><a class="el" href="structStarter_1_1ServerControled.html">ServerControled</a> *&nbsp;</td>
          <td class="mdname1" valign="top" nowrap>&nbsp; <em>server</em>          </td>
          <td class="md" valign="top">)&nbsp;</td>
          <td class="md" nowrap><code> [protected]</code></td>
        </tr>

      </table>
    </td>
  </tr>
</table>
<table cellspacing=5 cellpadding=0 border=0>
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
Check if server running.
<p>
Try to import his device administrator.<dl compact><dt><b>
Parameters: </b><dd>
<table border=0 cellspacing=2 cellpadding=0>
<tr><td valign=top><em>devname</em>&nbsp;</td><td>
Device name. </td></tr>
</table>
</dl>    </td>
  </tr>
</table>
<a name="a0" doxytag="Starter::Starter::manage_PollingState_startup"></a><p>
<table width="100%" cellpadding="2" cellspacing="0" border="0">
  <tr>
    <td class="md">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top"> void Starter::Starter::manage_PollingState_startup </td>
          <td class="md" valign="top">(&nbsp;</td>
          <td class="mdname1" valign="top" nowrap>&nbsp;          </td>
          <td class="md" valign="top">)&nbsp;</td>
          <td class="md" nowrap></td>
        </tr>

      </table>
    </td>
  </tr>
</table>
<table cellspacing=5 cellpadding=0 border=0>
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
Manage the <a class="el" href="classStarter_1_1PollingState.html">PollingState</a> object startup.
<p>
    </td>
  </tr>
</table>
<a name="z6_3" doxytag="Starter::Starter::signal_handler"></a><p>
<table width="100%" cellpadding="2" cellspacing="0" border="0">
  <tr>
    <td class="md">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top"> void Starter::Starter::signal_handler </td>
          <td class="md" valign="top">(&nbsp;</td>
          <td class="md" nowrap valign="top">long&nbsp;</td>
          <td class="mdname1" valign="top" nowrap>&nbsp; <em>signo</em>          </td>
          <td class="md" valign="top">)&nbsp;</td>
          <td class="md" nowrap><code> [protected]</code></td>
        </tr>

      </table>
    </td>
  </tr>
</table>
<table cellspacing=5 cellpadding=0 border=0>
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
signal handler for a server death.
<p>
    </td>
  </tr>
</table>
<a name="z5_9" doxytag="Starter::Starter::start_polling_thread"></a><p>
<table width="100%" cellpadding="2" cellspacing="0" border="0">
  <tr>
    <td class="md">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top"> void Starter::Starter::start_polling_thread </td>
          <td class="md" valign="top">(&nbsp;</td>
          <td class="mdname1" valign="top" nowrap>&nbsp;          </td>
          <td class="md" valign="top">)&nbsp;</td>
          <td class="md" nowrap></td>
        </tr>

      </table>
    </td>
  </tr>
</table>
<table cellspacing=5 cellpadding=0 border=0>
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
method: Starter::start_polling_thread.
<p>
<dl compact><dt><b>
Exceptions: </b><dd>
<table border=0 cellspacing=2 cellpadding=0>
<tr><td valign=top><em>DevFailed</em>&nbsp;</td><td>
 </td></tr>
</table>
</dl>    </td>
  </tr>
</table>
<a name="z5_8" doxytag="Starter::Starter::update_servers_info"></a><p>
<table width="100%" cellpadding="2" cellspacing="0" border="0">
  <tr>
    <td class="md">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top"> void Starter::Starter::update_servers_info </td>
          <td class="md" valign="top">(&nbsp;</td>
          <td class="mdname1" valign="top" nowrap>&nbsp;          </td>
          <td class="md" valign="top">)&nbsp;</td>
          <td class="md" nowrap></td>
        </tr>

      </table>
    </td>
  </tr>
</table>
<table cellspacing=5 cellpadding=0 border=0>
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
method: Starter::update_servers_info.
<p>
The device server must read the database to update the servers info list. <dl compact><dt><b>
Exceptions: </b><dd>
<table border=0 cellspacing=2 cellpadding=0>
<tr><td valign=top><em>DevFailed</em>&nbsp;</td><td>
 </td></tr>
</table>
</dl>    </td>
  </tr>
</table>
<hr><h2>Member Data Documentation</h2>
<a name="m7" doxytag="Starter::Starter::dbase"></a><p>
<table width="100%" cellpadding="2" cellspacing="0" border="0">
  <tr>
    <td class="md">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top"> Tango::DeviceProxy* Starter::Starter::dbase
      </table>
    </td>
  </tr>
</table>
<table cellspacing=5 cellpadding=0 border=0>
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
Database device (as DeviceProxy) for not implemented API commands.
<p>
    </td>
  </tr>
</table>
<a name="z1_2" doxytag="Starter::Starter::disableNotifyDaemon"></a><p>
<table width="100%" cellpadding="2" cellspacing="0" border="0">
  <tr>
    <td class="md">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top"> Tango::DevShort Starter::Starter::disableNotifyDaemon
      </table>
    </td>
  </tr>
</table>
<table cellspacing=5 cellpadding=0 border=0>
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
    </td>
  </tr>
</table>
<a name="m2" doxytag="Starter::Starter::poller"></a><p>
<table width="100%" cellpadding="2" cellspacing="0" border="0">
  <tr>
    <td class="md">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top"> <a class="el" href="classStarter_1_1PollingState.html">PollingState</a>* Starter::Starter::poller
      </table>
    </td>
  </tr>
</table>
<table cellspacing=5 cellpadding=0 border=0>
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
State polling thread.
<p>
    </td>
  </tr>
</table>
<a name="m3" doxytag="Starter::Starter::polling_id"></a><p>
<table width="100%" cellpadding="2" cellspacing="0" border="0">
  <tr>
    <td class="md">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top"> omni_thread* Starter::Starter::polling_id
      </table>
    </td>
  </tr>
</table>
<table cellspacing=5 cellpadding=0 border=0>
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
Polling thread ID.
<p>
    </td>
  </tr>
</table>
<a name="m6" doxytag="Starter::Starter::returned_str"></a><p>
<table width="100%" cellpadding="2" cellspacing="0" border="0">
  <tr>
    <td class="md">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top"> string Starter::Starter::returned_str
      </table>
    </td>
  </tr>
</table>
<table cellspacing=5 cellpadding=0 border=0>
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
Static string to be returned.
<p>
    </td>
  </tr>
</table>
<a name="m4" doxytag="Starter::Starter::servers"></a><p>
<table width="100%" cellpadding="2" cellspacing="0" border="0">
  <tr>
    <td class="md">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top"> vector&lt;<a class="el" href="structStarter_1_1ServerControled.html">ServerControled</a>&gt; Starter::Starter::servers
      </table>
    </td>
  </tr>
</table>
<table cellspacing=5 cellpadding=0 border=0>
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
Structures defining servers to be controlled.
<p>
    </td>
  </tr>
</table>
<a name="m1" doxytag="Starter::Starter::shared"></a><p>
<table width="100%" cellpadding="2" cellspacing="0" border="0">
  <tr>
    <td class="md">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top"> <a class="el" href="classStarter_1_1SharedData.html">SharedData</a>* Starter::Starter::shared
      </table>
    </td>
  </tr>
</table>
<table cellspacing=5 cellpadding=0 border=0>
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
State polling thread shared data.
<p>
    </td>
  </tr>
</table>
<a name="z1_0" doxytag="Starter::Starter::startDsPath"></a><p>
<table width="100%" cellpadding="2" cellspacing="0" border="0">
  <tr>
    <td class="md">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top"> vector&lt;string&gt; Starter::Starter::startDsPath
      </table>
    </td>
  </tr>
</table>
<table cellspacing=5 cellpadding=0 border=0>
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
Path to find executable files to start device servers.
<p>
    </td>
  </tr>
</table>
<a name="m5" doxytag="Starter::Starter::throwable"></a><p>
<table width="100%" cellpadding="2" cellspacing="0" border="0">
  <tr>
    <td class="md">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top"> Tango::DevBoolean Starter::Starter::throwable
      </table>
    </td>
  </tr>
</table>
<table cellspacing=5 cellpadding=0 border=0>
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
Exception must be or not thrown.
<p>
    </td>
  </tr>
</table>
<a name="m0" doxytag="Starter::Starter::util"></a><p>
<table width="100%" cellpadding="2" cellspacing="0" border="0">
  <tr>
    <td class="md">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top"> <a class="el" href="classStarter_1_1StarterUtil.html">StarterUtil</a>* Starter::Starter::util
      </table>
    </td>
  </tr>
</table>
<table cellspacing=5 cellpadding=0 border=0>
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
<a class="el" href="classStarter_1_1StarterUtil.html">StarterUtil</a> instance to be used everywhere.
<p>
    </td>
  </tr>
</table>
<a name="z1_1" doxytag="Starter::Starter::waitForDriverStartup"></a><p>
<table width="100%" cellpadding="2" cellspacing="0" border="0">
  <tr>
    <td class="md">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top"> Tango::DevShort Starter::Starter::waitForDriverStartup
      </table>
    </td>
  </tr>
</table>
<table cellspacing=5 cellpadding=0 border=0>
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
The <a class="el" href="classStarter_1_1Starter.html">Starter</a> will wait a bit before starting servers, to be sure than the drivers are started.This time is in seconds.
<p>
    </td>
  </tr>
</table>
<hr>The documentation for this class was generated from the following files:<ul>
<li><a class="el" href="Starter_8h-source.html">Starter.h</a><li><a class="el" href="Starter_8cpp.html">Starter.cpp</a></ul>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2//EN">
<HTML>
<HEAD>
<Title> Tango Device Server User's Guide </Title>
   <META NAME="GENERATOR" CONTENT="Mozilla/3.01Gold (X11; I; HP-UX B.10.20 9000/735) [Netscape]">
</HEAD>
<BODY TEXT="#000000" BGCOLOR="#FFFFFF" LINK="#0000FF" VLINK="#FF0000" ALINK="#FF0000">

<P><!-------TITLE------></P>

<Center>
<Br>
<HR WIDTH="100%"></H5>
<H3>(c) ESRF - Software Engineering Group </H33>
</Center>
</body>
</html>
